summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan McCurry2016-11-12 23:24:24 -0500
committerDan McCurry2016-11-12 23:24:24 -0500
commiteb0eab06462c65c2b846e10bf533b14deb7602d6 (patch)
tree30807d9dc72c6f1974eabfe4ecdd4f3b68da9bd1
parent5a7aa614a4fb721ceb1f0292834e9f05b4f002a2 (diff)
downloadaur-eb0eab06462c65c2b846e10bf533b14deb7602d6.tar.gz
Use native ScummVM
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD32
-rw-r--r--beneath-a-steel-sky6
3 files changed, 25 insertions, 28 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 038c99769a7..5568b539641 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,19 +1,22 @@
pkgbase = gog-beneath-a-steel-sky
pkgdesc = All man's social problems are coming to a boil. Under the claustrophobic lid of a steel sky.
pkgver = 2.1.0.4
- pkgrel = 1
+ pkgrel = 2
url = http://www.gog.com/game/beneath_a_steel_sky
- arch = i686
- arch = x86_64
+ arch = any
groups = games
- license = custom:EULA custom:scummvm
- depends = freetype2
+ license = custom:EULA
+ depends = libmpeg2
+ depends = zlib
+ depends = libjpeg-turbo
+ depends = scummvm
depends = unionfs-fuse
optdepends = gendesk
+ noextract = gog_beneath_a_steel_sky_2.1.0.4.sh
source = local://gog_beneath_a_steel_sky_2.1.0.4.sh
source = local://beneath-a-steel-sky
sha256sums = 1cd6c487b1f2f151874183aabb49026cb652faf33c1b326ea0edb1878eabadfb
- sha256sums = 71c9b6d850c92c637cd44a502de8db01498e88af9829125f7fb9097b4575d60b
+ sha256sums = e02ba961a2fe793a4c09f68e32a72fdd58750acc32e688adf63e1c6f075f42a4
pkgname = gog-beneath-a-steel-sky
diff --git a/PKGBUILD b/PKGBUILD
index 8f5e466155a..b8b4101b6d9 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,30 +5,21 @@ pkgname=gog-beneath-a-steel-sky
# Trim gog- prefix from launcher
_appname=$(echo ${pkgname} | sed -e 's/gog-//')
pkgver=2.1.0.4
-pkgrel=1
+pkgrel=2
pkgdesc="All man's social problems are coming to a boil. Under the claustrophobic lid of a steel sky. "
-arch=("i686" "x86_64")
+arch=('any')
url="http://www.gog.com/game/beneath_a_steel_sky"
-license=("custom:EULA custom:scummvm")
+license=("custom:EULA")
groups=("games")
source=("local://gog_beneath_a_steel_sky_${pkgver}.sh"
"local://${_appname}")
+noextract=("gog_beneath_a_steel_sky_${pkgver}.sh")
sha256sums=('1cd6c487b1f2f151874183aabb49026cb652faf33c1b326ea0edb1878eabadfb'
- '71c9b6d850c92c637cd44a502de8db01498e88af9829125f7fb9097b4575d60b')
-depends=(freetype2 unionfs-fuse)
+ 'e02ba961a2fe793a4c09f68e32a72fdd58750acc32e688adf63e1c6f075f42a4')
+depends=('libmpeg2' 'zlib' 'libjpeg-turbo' 'scummvm' 'unionfs-fuse')
optdepends=('gendesk')
PKGEXT=.pkg.tar
-# Exclude unneeded architecture
-case $CARCH in
- x86_64) _xarch=i686;
- ;;
- i686) _xarch=x86_64;
- ;;
- *) warning "Unsupported architecture: ${CARCH}"
- ;;
-esac
-
prepare() {
cd ${srcdir}
@@ -45,10 +36,15 @@ prepare() {
fi
# extract mojo installer and suppress header warning for unzip
- unzip "$(echo ${pkgname} | sed -e 's/-/_/g')_${pkgver}.sh" \
- "data/noarch/*" -x "*${_xarch}*" || if [ $? -eq 1 ]; then
+ unzip -o "$(echo ${pkgname} | sed -e 's/-/_/g')_${pkgver}.sh" \
+ "data/noarch/*" -x "*scummvm/*" "*start.sh*" \
+ "*installer_readme.txt*" "*gog_com.shlib*" \
+ "*xdg-utils/*" "*gameinfo*" || if [ $? -eq 1 ]; then
msg "Data extraction successful.";
fi
+
+ # Edit config file for appropriate paths
+ sed -i "s/\(.*=\)\(data\)/\1~\/.gog\/${_appname}\/game\/\2/" data/noarch/beneath.ini
}
package() {
@@ -66,8 +62,6 @@ package() {
"${pkgdir}/usr/share/pixmaps/${_appname}.png"
ln -s "/opt/gog/${_appname}/docs/End User License Agreement.txt" \
"${pkgdir}/usr/share/licenses/${pkgname}/EULA"
- ln -s "/opt/gog/${_appname}/docs/scummvm" \
- "${pkgdir}/usr/share/licenses/${pkgname}/scummvm"
install -Dm755 "${srcdir}/${_appname}" \
"${pkgdir}/usr/bin/${_appname}"
diff --git a/beneath-a-steel-sky b/beneath-a-steel-sky
index d9c7e59753d..9adafa16118 100644
--- a/beneath-a-steel-sky
+++ b/beneath-a-steel-sky
@@ -1,8 +1,8 @@
-#!/usr/bin/bash
+#!/bin/bash
gogdir="/opt/gog/beneath-a-steel-sky"
homedir="$HOME/.gog/beneath-a-steel-sky"
mkdir -p "$homedir"/{game,config/data}
-unionfs "$homedir/config=RW:$gogdir=RO" "$homedir/game"
-"$homedir"/game/start.sh
+unionfs -o cow,relaxed_permissions "$homedir/config=RW:$gogdir=RO" "$homedir/game"
+scummvm -c "$homedir/game/beneath.ini"
fusermount -u "$homedir/game"